Content Management Partner Groups API
Introduction
A partner group allows you to organize your partners and assign shared tables and jobs collectively to a set of partners.
The Partner Groups API Swagger definition is available on our Product-Live API portal here.
General information
- Rate limit: 50 requests per minute
Get Partner Group by id
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| partnerGroupId | string | A partner group id |
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/partner-groups/156' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
json
{
"object": "partner_group",
"id": "156",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"accountId": "4203",
"title": "European Suppliers",
"description": "Group of all European suppliers",
"members": [
"5123",
"5124"
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
2
3
4
5
6
7
8
9
10
11
12
13
List Partner Groups
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10. Maximum : 1000 |
| sort | string | Optional The field to sort by |
| sortOrder | string | Optional The sort order: ASC or DESC |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/partner-groups?size=10&page=0' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
json
{
"object": "list",
"data": [
{
"object": "partner_group",
"id": "156",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"accountId": "4203",
"title": "European Suppliers",
"description": "Group of all European suppliers",
"members": [
"5123",
"5124"
]
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
Find Partner Groups
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10. Maximum : 1000 |
| sort | string | Optional The field to sort by |
| sortOrder | string | Optional The sort order: ASC or DESC |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
See more details on the find request body in the dedicated page Find request.
Searchable fields
| Searchable field | Supported operator | Example |
|---|---|---|
| createdAt | greater / greaterOrEqual / lower / lowerOrEqual | {"type": "greaterOrEqual","field": "createdAt","value": "2021-09-15T13:14:41.000Z"} |
| description | eq/search/in | {"type": "eq","field": "description","value": "Group of all European suppliers"}{"type": "search","field": "description","value": "European"}{"type": "in","field": "description","value": ["Group of all European suppliers"]} |
| id | eq/in | {"type": "eq","field": "id","value": "156"}{"type": "in","field": "id","value": ["156"]} |
| title | eq/search/in | {"type": "eq","field": "title","value": "European Suppliers"}{"type": "search","field": "title","value": "European"}{"type": "in","field": "title","value": ["European Suppliers"]} |
| updatedAt | greater / greaterOrEqual / lower / lowerOrEqual | {"type": "greaterOrEqual","field": "updatedAt","value": "2024-02-07T10:54:15.000Z"} |
json
{
"type": "search",
"caseSensitive": false,
"field": "title",
"value": "European"
}1
2
3
4
5
6
2
3
4
5
6
json
{
"type": "and",
"queries": [
{
"type": "search",
"caseSensitive": false,
"field": "title",
"value": "Suppliers"
},
{
"type": "eq",
"caseSensitive": true,
"field": "description",
"value": "Group of all European suppliers"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/partner-groups/find?size=10&page=0' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>' \
-H 'Content-Type: application/json' \
-d '{
"type": "search",
"caseSensitive": false,
"field": "title",
"value": "European"
}'1
2
3
4
5
6
7
8
9
10
11
2
3
4
5
6
7
8
9
10
11
Response example
json
{
"object": "list",
"data": [
{
"object": "partner_group",
"id": "156",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"accountId": "4203",
"title": "European Suppliers",
"description": "Group of all European suppliers",
"members": [
"5123",
"5124"
]
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
Create a Partner Group
Request URL
Path parameters
None
Request parameters
None
Request Headers
| Header | Type | Value |
|---|---|---|
| accept | string | */* |
| Content-Type | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
| title | string | Required | The title of the partner group |
| description | string | Optional | The description of the partner group |
json
{
"title": "European Suppliers",
"description": "Group of all European suppliers"
}1
2
3
4
2
3
4
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/partner-groups' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>' \
-H 'Content-Type: application/json' \
-d '{
"title": "European Suppliers",
"description": "Group of all European suppliers"
}'1
2
3
4
5
6
7
8
9
2
3
4
5
6
7
8
9
Response Example
json
{
"object": "partner_group",
"id": "156",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z",
"accountId": "4203",
"title": "European Suppliers",
"description": "Group of all European suppliers",
"members": []
}1
2
3
4
5
6
7
8
9
10
2
3
4
5
6
7
8
9
10
Update a Partner Group
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| partnerGroupId | string | A partner group id |
Request parameters
None
Request Body
json
{
"title": "Asia Suppliers"
}1
2
3
2
3
json
{
"description": "Group of all Asian suppliers"
}1
2
3
2
3
json
{
"title": "Asia Suppliers",
"description": "Group of all Asian suppliers"
}1
2
3
4
2
3
4
Request Example
bash
curl -X 'PATCH' \
'https://api.product-live.com/v1/partner-groups/156' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>' \
-H 'Content-Type: application/json' \
-d '{
"title": "Asia Suppliers",
"description": "Group of all Asian suppliers"
}'1
2
3
4
5
6
7
8
9
2
3
4
5
6
7
8
9
Response example
json
{
"object": "partner_group",
"id": "156",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-06-04T13:44:14.000Z",
"accountId": "4203",
"title": "Asia Suppliers",
"description": "Group of all Asian suppliers",
"members": [
"5123",
"5124"
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
2
3
4
5
6
7
8
9
10
11
12
13
Add members to a Partner Group
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| partnerGroupId | string | A partner group id |
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| Content-Type | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
You must provide valid partner ids in the membersId property.
json
{
"membersId": [
"5125"
]
}1
2
3
4
5
2
3
4
5
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/partner-groups/156/add-members' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>' \
-H 'Content-Type: application/json' \
-d '{
"membersId": [
"5125"
]
}'1
2
3
4
5
6
7
8
9
10
2
3
4
5
6
7
8
9
10
Response example
json
{
"object": "partner_group",
"id": "156",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-06-04T13:44:14.000Z",
"accountId": "4203",
"title": "European Suppliers",
"description": "Group of all European suppliers",
"members": [
"5123",
"5124",
"5125"
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
2
3
4
5
6
7
8
9
10
11
12
13
14
Remove members from a Partner Group
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| partnerGroupId | string | A partner group id |
Request parameters
None
Request Headers
| Header | Type | Value |
|---|---|---|
| accept | string | */* |
| Content-Type | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
You must provide valid partner ids in the membersId property.
json
{
"membersId": [
"5125"
]
}1
2
3
4
5
2
3
4
5
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/partner-groups/156/remove-members' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>' \
-H 'Content-Type: application/json' \
-d '{
"membersId": [
"5125"
]
}'1
2
3
4
5
6
7
8
9
10
2
3
4
5
6
7
8
9
10
Response Example
json
{
"object": "partner_group",
"id": "156",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-06-04T13:44:14.000Z",
"accountId": "4203",
"title": "European Suppliers",
"description": "Group of all European suppliers",
"members": [
"5123",
"5124"
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
2
3
4
5
6
7
8
9
10
11
12
13